<?php
/**
* リクエストを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IRequest extends IObject
{
	/*
	 *    キー一覧を取得
	 */
	public function getKeys();

	/*
	 *    パラメータを取得
	 */
	public function get( String $key );

	/*
	 *    文字列パラメータを取得
	 */
	public function getString( String $key );

	/*
	 *    配列パラメータを取得
	 */
	public function getArray( String $key );

	/*
	 *    パラメータを設定
	 */
	public function set( String $key, $value );

}

return __FILE__;